%global         momorel 7

Name:           perl-PAR
Version:        1.007
Release:        %{momorel}m%{?dist}
Summary:        Perl Archive Toolkit
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/PAR/
Source0:        http://www.cpan.org/authors/id/R/RS/RSCHUPP/PAR-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl-Archive-Zip >= 1
BuildRequires:  perl-AutoLoader >= 5.66_02
BuildRequires:  perl-IO-Compress >= 1.3
BuildRequires:  perl-Digest >= 0.32
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp >= 0.05
BuildRequires:  perl-Module-Signature
BuildRequires:  perl-PAR-Dist >= 0.32
Requires:       perl-Archive-Zip >= 1
Requires:       perl-AutoLoader >= 5.66_02
Requires:       perl-IO-Compress >= 1.3
Requires:       perl-Digest >= 0.32
Requires:       perl-File-Temp >= 0.05
Requires:       perl-Module-Signature
Requires:       perl-PAR-Dist >= 0.32
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module lets you use special zip files, called Perl Archives, as
libraries from which Perl modules can be loaded.

%prep
%setup -q -n PAR-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PAR.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-7m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-6m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-2m)
- rebuild against perl-5.16.2

* Tue Oct 23 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.007-1m)
- update to 1.007

* Mon Oct 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.006-1m)
- update to 1.006

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.005-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.005-2m)
- rebuild against perl-5.16.0

* Sat Dec  3 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.005-1m)
- update to 1.005

* Thu Dec  1 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.004-1m)
- update to 1.004

* Wed Nov 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.003-1m)
- update to 1.003

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-8m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-7m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-6m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.002-5m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.002-4m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-3m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.002-2m)
- full rebuild for mo7 release

* Sun Jul 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.002-1m)
- update to 1.002

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000-3m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000-2m)
- rebuild against perl-5.12.0

* Sun Apr 11 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000-1m)
- update to 1.000

* Wed Jan 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.994-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.994-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.994-2m)
- rebuild against perl-5.10.1

* Tue Jul 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.994-1m)
- update to 0.994

* Sat Jun 27 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.992-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
